#
# spec file for package python-zstd
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zstd
Version:        1.4.4.0
Release:        bp154.1.25
Summary:        ZSTD Bindings for Python
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/sergey-dryabzhinsky/python-zstd
Source:         https://files.pythonhosted.org/packages/source/z/zstd/zstd-%{version}.tar.gz
Patch0:         test-external.patch
Patch1:         test-once.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libzstd) >= 1.4.4
%python_subpackages

%description
ZSTD Bindings for Python.

%prep
%setup -q -n zstd-%{version}
%patch0 -p1
%patch1 -p1
rm -rf zstd/
# do not test the version matching, we don't really need exact version of
# zstd here
rm tests/test_version.py
sed -i -e '/test_version/d' tests/__init__.py

%build
export CFLAGS="%{optflags}"
%python_build --legacy --pyzstd-legacy --external

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitearch}/*

%changelog
* Tue Jan 21 2020 Ondřej Súkup <mimi.vx@gmail.com>
- update to 1.4.4.0
  * Follow upstream 1.4.4
* Mon Sep  9 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.4.3.2:
  * Follow upstream 1.4.3
* Tue Aug 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Skip the version comparison tests, they are pretty useless
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.4.1.0:
  * Follow upstream 1.4.1
* Mon May  6 2019 pgajdos@suse.com
- version update to 1.4.0.0
  * Add LICENSE to MANIFEST.in
  * Fix version tests - don't sort, just reverse
  * Remove debug logging
* Mon Mar  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Switch to pkgconfig style dependency
* Mon Mar  4 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.3.8.1, adding test-external.patch to allow
  tests to run with an external library, and test-once.patch to avoid
  custom hack to run tests which actually runs them twice.
